Package com.sas.lsaf.security.membership

## Class Membership

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.membership.MembershipDescriptor
    - - com.sas.lsaf.security.membership.Membership

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class Membership
      extends MembershipDescriptor

  The representation of the membership of a membership context.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Membership​(ObjectIdentity context, long revision, java.util.Set<Principal> members)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<Principal>` | `getMembers()` | Gets the members of the membership.
    `long` | `getRevision()` | Gets the internal revision number of the membership.
    `int` | `hashCode()` |
    `void` | `setMembers​(java.util.Set<Principal> members)` | Sets the members of the membership.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.security.membership.MembershipDescriptor

      `getContext`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Membership

          public Membership​(ObjectIdentity context,
                            long revision,
                            java.util.Set<Principal> members)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the memberships returned by the API.
      Parameters:
        `context` - the context identity with which the membership is associated.
        `revision` - the internal revision number of the membership.
        `members` - the current members of the membership.

  - ### Method Detail

    - #### getRevision

          public long getRevision()

      Gets the internal revision number of the membership.
      Returns:
        The internal revision number of the membership

    - #### getMembers

          public java.util.Set<Principal> getMembers()

      Gets the members of the membership.
      Returns:
        The members of the membership.

    - #### setMembers

          public void setMembers​(java.util.Set<Principal> members)

      Sets the members of the membership.
      Parameters:
        `members` - the members of the membership.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `MembershipDescriptor`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `MembershipDescriptor`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `MembershipDescriptor`